Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
calendar08

Cần help convert text - Mtext

Các bài được khuyến nghị

calendar08    7

Như các bạn đã biết ở tiêu đề trên, mình cần chuyển số lượng nhiều Text -> Mtext

Yêu cầu:

1. Vị trí không thay đổi

2. Các hướng quay của text không bị quay đi sau khi chuyển.

3. Làm 1 phát ăn ngay với nhiều text ^^

 

Mình thử qua TXT2MTEXT trong express mà ko ăn thua.

 

Nhờ các bác chỉ cách, hay bác nào giúp lisp thì tuyệt quá.:)

 

Mình đang cần gấp.

 

Rất cảm ơn sự trợ giúp của mọi người.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Như các bạn đã biết ở tiêu đề trên, mình cần chuyển số lượng nhiều Text -> Mtext

Yêu cầu:

1. Vị trí không thay đổi

2. Các hướng quay của text không bị quay đi sau khi chuyển.

3. Làm 1 phát ăn ngay với nhiều text ^^

 

Mình thử qua TXT2MTEXT trong express mà ko ăn thua.

 

Nhờ các bác chỉ cách, hay bác nào giúp lisp thì tuyệt quá.:)

 

Mình đang cần gấp.

 

Rất cảm ơn sự trợ giúp của mọi người.

Hề hề hề,

Có phải bạn muốn cái này không??? Nó cũng sử dụng txt2mtxt của express tools đấy. Tuy nhiên cách dùng hơi khác mà thôi.

(defun c:t2m (/ slt txt )
(vl-load-com)
(command "undo" "be")
(alert "\n Hay chon cac text can chuyen thanh mtext")
(setq slt (acet-ss-to-list (ssget (list (cons 0 "text")))))
(foreach txt slt
(command "txt2mtxt" txt "")
)
(command "undo" "e")
(princ)
)

Hề hề hề, nếu bạn thấy chưa ưng thì hãy post rõ cái chỗ chưa ưng lên nhé.

Chúc bạn vui.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
calendar08    7

Hề hề hề,Có phải bạn muốn cái này không??? Nó cũng sử dụng txt2mtxt của express tools đấy. Tuy nhiên cách dùng hơi khác mà thôi.

(defun c:t2m (/ slt txt )(vl-load-com)(command "undo" "be")(alert "\n Hay chon cac text can chuyen thanh mtext")(setq slt (acet-ss-to-list (ssget (list (cons 0 "text")))))(foreach txt slt(command "txt2mtxt" txt ""))(command "undo" "e")(princ))

Hề hề hề, nếu bạn thấy chưa ưng thì hãy post rõ cái chỗ chưa ưng lên nhé.Chúc bạn vui.

Thanks bạn nhìu nha. Dưới là vấn đề nè.

 

Đây là nguyên bản trc khi dùng lisp của bạn

tr2.jpg

Và đây là sau khi dùng lisp

sau.jpg

Mình cần là sau khi dùng lisp các text được chuyển giữ đc vị trí như ở hình 1.

 

Thanks bạn rất nhiều:)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.679

Giúp mình chuyển toàn bộ Mtext thành Text với

Mình dùng lisp mà nó cứ báo giá trị bạn chọn không phải là số thôi. hic

MTEXT thành TEXT: dùng lệnh X.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vantuan18nd    4

MTEXT thành TEXT: dùng lệnh X.

Còn cách nào khác không ah. cái này thì em biết rồi, nhưng khi X ra thì các đường pline nó lại biến hết thành line, em không muốn thế

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vantuan18nd    4

Chỉ chọn Mtext thôi, sao lại dính Pline vào ^^

Tại bản vẽ nhiều số : Không thể chọn từng Mtext được; buộc phải chọn toàn bộ đối tượng trong bản vẽ; Với lại bản vẽ của em nó bị khóa layer kiểu gì ý, khi chọn layoff hay layiso thì tnos chỉ tối đi thôi chứ không ẩn đi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

Còn cách nào khác không ah. cái này thì em biết rồi, nhưng khi X ra thì các đường pline nó lại biến hết thành line, em không muốn thế

 

:) :) :)

Lại dùng lệnh Pe để convert tất cả các Line thành Pline

Command: pe PEDIT Select polyline or [Multiple]: m

Select objects: Specify opposite corner: 17 found

Select objects:

Convert Lines and Arcs to polylines [Yes/No]? <Y>

Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j

Join Type = Extend

Enter fuzz distance or [Jointype] <0.0000>:

14 segments added to 3 polylines

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×